CairoSurface
CairoSurface::copyPage
CairoSurface
PHP Manual

# CairoSurface::__construct

The __construct purpose

### Description

public CairoSurface::__construct ( void )

CairoSurface is an abstract type and, as such, should not be instantiated in your PHP scripts.

### Parameters

This function has no parameters.

### Return Values

No return value

### Notes

> Note:

> If you're using a PHP version before 5.3, you must destroy the CairoContext associated with a CairoSurface after you destroy the CairoSurface. Otherwise, you're left with a Circular-reference memory leak.

### See Also

- CairoImageSurface::__construct